Subject: bug#39553: 28.0.50; ada mode was removed

From: Stefan Kangas <[email-masked]>
Date: Tue, 8 Sep 2020 14:26:49 +0000

Stefan Kangas <[email-masked]> writes:

> Lars Ingebrigtsen <[email-masked]> writes:
>
>>> Is it hard to do?  We just need to add a step to copy the relevant files
>>> in make-tarball.txt and we're done, no?  Or do we need it to be
>>> completely automatic?
>>
>> I think the idea is that one should still be able to download newer
>> versions of the packages from ELPA, even if (older) versions are
>> included in the distribution?  But I haven't followed the discussions
>> much...
>
> Shouldn't that Just Work (TM)?
>
> To be more specific, typing `M-x list-packages U' should mark such
> packages for upgrade automatically?  Anything else sounds like a bug to
> me.

Seems like this actually doesn't work.

I press `M-x list-packages' using an Emacs with svg.el version 1.0.
Version 1.1 is available from GNU ELPA.  But it doesn't propose to
update it.

I'm not sure where that leaves us...